## samba 3.0.28a-1ubuntu4.8trisquel2

=== debian/changelog ===
samba (3.0.28a-1ubuntu4.8trisquel2) trisquel; urgency=low

  * Compiled for Trisquel

 -- Rubén Rodríguez Pérez <ruben@trisquel.info>  Thu, 06 Aug 2009 07:29:41 +0000

samba (3.0.28a-1ubuntu4.8) hardy-proposed; urgency=low

  * Added debian/patches/fix-winbindd-crash-dc.patch:
     - Fix winbindd crash when calling getent group on domain controller (LP: #328874)
     - upstream commit in 3.0 branch: db4a435d235bedf48d668a0f4418dd46f38044ed
     - upstream bug: #5906

 -- Adrien Cunin <adri2000@ubuntu.com>  Mon, 16 Feb 2009 22:16:22 +0100

samba (3.0.28a-1ubuntu4.7) hardy-proposed; urgency=low

  * debian/patches/cifs-upcall-backport.patch: Backport cifs.upcall to
    samba 3.0.28a, to support kerberos-authenticated CIFS kernel mounts.
    LP: #236830.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Oct 2008 21:36:04 +0000

samba (3.0.28a-1ubuntu4.6) hardy-proposed; urgency=low

  * debian/patches/fix-machine-account-password.patch:
    - Don't return NT_STATUS_PASSWORD_MUST_CHANGE error on machine account
      logon. Fix backported from
      http://git.samba.org/?p=samba.git;a=commit;h=10da498a2349bf5944183adf5a9284eafa2b8b74.
      (LP: #259110)
 
 -- Chuck Short <zulcss@ubuntu.com>  Wed, 20 Aug 2008 16:36:08 +0000

samba (3.0.28a-1ubuntu4.5) hardy-proposed; urgency=low

  * debian/patches/fix-ldap-password-sync.patch:
    - Backported fix for ldap passwd sync = only. Patch taken from http://gitweb.samba.org/?p=samba.git;a=commit;h=1dd8fa9a521046f1de8173ac00224706c5249665 (LP: #242325)
  * debian/patches/fix-wireless-no-found.patch:
    - Backported fix for nmbd shutdown when network is disconnected. Patch taken from http://git.samba.org/?p=samba.git;a=blobdiff;f=source/nmbd/nmbd.c;h=9797a7adb673b0774672ca586b1f6b625c4faf5c;hp=00d252940afc33bcf34e9d98dca13c89b15b0408;hb=4b03f4eb2da7a523967ace3d13e79406ade07d47;hpb=085887eed71ed1ffdb30100d83763e671ea10eee (LP: #180493) 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 03 Jul 2008 12:27:14 -0400

samba (3.0.28a-1ubuntu4.4) hardy-security; urgency=low

  * RELIABILITY UPDATE: the patch for CVE-2008-1105 introduced a regression
    with certain client and server interactions with large file sizes.
  * debian/patches/security-CVE-2008-1105_pt2.patch: adjust cli_negprot()
    to properly calculate buffer sizes
  * References
    LP: #241448
    https://bugzilla.samba.org/show_bug.cgi?id=5517

 -- Jamie Strandboge <jamie@ubuntu.com>  Sat, 28 Jun 2008 09:34:21 -0400

samba (3.0.28a-1ubuntu4.3) hardy-proposed; urgency=low

  * debian/patches/disable-weak-auth.patch: roll back the change to the 
    client defaults of disallowing negotiation of lanman authentication, 
    since this causes usability problems for libsmbclient-based clients 
    that can't present meaningful error messages to the user.  Still 
    disallow the plaintext authentication method, which is much less
    likely to be used on NASes of any sort and age.  LP: #209520.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 19 Jun 2008 17:20:13 +0000

samba (3.0.28a-1ubuntu4.2) hardy-security; urgency=low

  * SECURITY UPDATE: heap overflow when processing crafted SMB responses
  * debian/patches/security-CVE-2008-1105.patch: update util_sock.c to require
    specifying the buffer size and update client.c, smbctool.c, smbfilter.c,
    and process.c for these changes
  * References:
    CVE-2008-1105
    LP: #235912

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 17 Jun 2008 12:47:38 -0400

samba (3.0.28a-1ubuntu4.1) hardy-proposed; urgency=low

  *  debian/patches/fix-server-signature.patch: 
     - Fix for nautlius sharing issues with Windows 2003. Patch 
       taken from http://git.samba.org/?p=samba.git;a=commit;h=67f90361a07841972a01a4faf575da25ebbbb29c (LP: #217137)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 03 Jun 2008 08:42:42 -0400

samba (3.0.28a-1ubuntu4) hardy; urgency=low

  [ Mathias Gug ]
  * debian/samba-common.postinst:
    Fix upgrade from a first installation done with feisty, edgy or dapper.
    (LP: #201059).
  * debian/smb.conf.feisty:
    Add default smb.conf shipped in feisty.

  [ Steve Langasek ]
  * When populating the new sambashare group, it's not an error if the
    user simply doesn't exist; test for this case and let the install
    continue instead of aborting.  LP: #206036.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 02 Apr 2008 21:07:11 +0000

samba (3.0.28a-1ubuntu3) hardy; urgency=low

  * debian/patches/fix-smbprinting-os2.patch
    - Fixes printing large documents from OS/2. (LP: #60931) 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 28 Mar 2008 08:37:31 -0400

samba (3.0.28a-1ubuntu2) hardy; urgency=low

  * debian/smb.conf
    - Add map to guest = Bad user, maps bad username to guest access. 
      (LP: #32067)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 27 Mar 2008 14:24:13 -0400

samba (3.0.28a-1ubuntu1) hardy; urgency=low

  * Merge from Debian unstable, remaining changes:
    * debian/patches/VERSION.patch:
      - set SAMBA_VERSION_VENDOR_SUFFIX to Ubuntu
    * debian/smb.conf:
      - add "(Samba, Ubuntu)" to server string.
      - comment out the default [homes] shares, and add a comment about
        "valid users = %S" to show users how to restrict access to
        \\server\username to only username.
    * debian/samba-common.config:
      - do not change priority to HIGH if dhclient3 is installed
      - use priority medium instead of high for the workgroup question
    * debian/winbind.files:
      - include additional files
    * debian/patches/fix-documentation.patch:
      - fix typos in net(8) and smb.conf(5) man pages
    * debian/mksambapasswd.awk:
      - Don't add user with UID less than 1000 to smbpasswd.
    * debian/samba.init:
      - add 'status' option for LSB conformance.
    * Updated control version.
    * Set Ubuntu maintainer address.
  * Dropped changes:
    * debian/samba.if-up: this ifup hook isn't actually needed with
      current Samba.

